from PyQt5.QtWidgets import QApplication
from PyQt5.QtWebEngineWidgets import QWebEngineProfile, QWebEngineView
from PyQt5.QtWebEngineCore import QWebEngineUrlSchemeHandler
from PyQt5.QtCore import QUrl, QBuffer, QIODevice


class SchemeHandler(QWebEngineUrlSchemeHandler):

    def requestStarted(self, job):
        buf = QBuffer(parent=self)
        buf.open(QIODevice.WriteOnly)
        buf.write(b'Hello World')
        buf.seek(0)
        buf.close()
        job.reply(b'text/plain', buf)


def install_scheme_handler():
    handler = SchemeHandler(QApplication.instance())
    QWebEngineProfile.defaultProfile().installUrlSchemeHandler(b'test', handler)


app = QApplication([])
install_scheme_handler()
view = QWebEngineView()
view.show()
view.load(QUrl('test:foo'))
app.exec_()
